version: "3.9"
services:
  application:
    container_name: hexlet_compose_app
    build: .
    volumes:
      - ./app:/app
    ports:
      - "8000:80"
    depends_on:
      - database
    environment:
      - GUNICORN_CMD_ARGS="--reload"

  database:
    image: postgres:11.11-alpine
    container_name: hexlet_compose_db
    volumes:
      - app-db-data:/var/lib/postgresql/data
    environment:
      - POSTGRES_DB=hexlet
      - POSTGRES_USER=hexlet
      - POSTGRES_PASSWORD=mypassword
      - PGDATA=/var/lib/postgresql/data/pgdata

volumes:
  app-db-data:
